Directory Functions
chroot
Directory Functions
PHP Manual

# chdir

(PHP 4, PHP 5)

chdir — Change directory

### Description

bool chdir ( string `$directory` )

Changes PHP's current directory to `directory`.

### Parameters

`directory`

  The new current directory

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 chdir() example

`<?php
// current directory
echo getcwd() . "\n";
chdir('public_html');
// current directory
echo getcwd() . "\n";
?>`

The above example will output something similar to:

    /home/vincent
    /home/vincent/public_html

### Notes

> Note: When safe mode is enabled, PHP checks whether the directory in which the script is operating has the same UID (owner) as the script that is being executed.

### See Also

- getcwd() - Gets the current working directory

Directory Functions
chroot
Directory Functions
PHP Manual